Bug 253938 - New port: lang/mecrisp-stellaris: native code Forth for ARM
Summary: New port: lang/mecrisp-stellaris: native code Forth for ARM
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Some People
Assignee: Neel Chauhan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-01 15:21 UTC by Robert Clausecker
Modified: 2021-03-25 11:54 UTC (History)
2 users (show)

See Also:


Attachments
lang/mecrisp-stellaris port files (shell archive) (9.60 KB, text/plain)
2021-03-01 15:21 UTC, Robert Clausecker
no flags Details
lang/mecrisp-stellaris port files (shell archive) (9.60 KB, text/plain)
2021-03-07 19:30 UTC, Robert Clausecker
no flags Details
lang/mecrisp-stellaris 2.5.8 port files (shell archive) (9.78 KB, text/plain)
2021-03-22 13:27 UTC, Robert Clausecker
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-03-01 15:21:44 UTC
Created attachment 222903 [details]
lang/mecrisp-stellaris port files (shell archive)

See attachment.  Builds on ARM only.
Comment 1 Robert Clausecker 2021-03-06 10:35:06 UTC
Please don't merge yet, there's a bug with the armv6 support I need to fix first.
Comment 2 Robert Clausecker 2021-03-07 19:30:17 UTC
Created attachment 223070 [details]
lang/mecrisp-stellaris port files (shell archive)

Remove armv6 support.  Seems like this will require some upstream changes.
Comment 3 Neel Chauhan freebsd_committer 2021-03-16 18:20:51 UTC
Committed!
Comment 4 commit-hook freebsd_committer 2021-03-16 18:27:06 UTC
A commit references this bug:

Author: nc
Date: Tue Mar 16 18:26:33 UTC 2021
New revision: 568598
URL: https://svnweb.freebsd.org/changeset/ports/568598

Log:
  New port: lang/mecrisp-stellaris: native code Forth for ARM

  Mecrisp Stellaris is an implementation of a standalone native code Forth for
  ARM. It fits into 16 kb of flash and runs with at least 1 kb of RAM. You can    choose to compile to flash or to RAM, and it generates native code with
  folding, inlining of short words and it opcodes common instructions. Note that  it doesn't need to save any pointers, so it compiles directly into flash memory
  without the need for erase cycles. Although it is in spirit of ANS, there are a few differences: Be careful!

  PR:             253938
  Submitted by:   Robert Clausecker <fuz AT fuz DOT su>

Changes:
  head/lang/Makefile
  head/lang/mecrisp-stellaris/
  head/lang/mecrisp-stellaris/Makefile
  head/lang/mecrisp-stellaris/distinfo
  head/lang/mecrisp-stellaris/pkg-descr
  head/lang/mecrisp-stellaris/pkg-plist
Comment 5 Robert Clausecker 2021-03-22 13:27:21 UTC
Created attachment 223499 [details]
lang/mecrisp-stellaris 2.5.8 port files (shell archive)

Update for mecrisp-stellaris 2.5.8
Comment 6 Robert Clausecker 2021-03-22 13:28:46 UTC
After communication with the author, a new version of Mecrisp Stellaris has been released.  This version fixes ARMv6 support such that the package now builds and runs on ARMv6 FreeBSD.  Please update the port if possible.
Comment 7 Robert Clausecker 2021-03-25 11:54:04 UTC
As adviced on IRC, will open a new PR for the update.